Last Comment Bug 860406 - When using Personas on Mac, the title bar is overlaid by the tab bar
: When using Personas on Mac, the title bar is overlaid by the tab bar
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks: 876710
  Show dependency treegraph
 
Reported: 2013-04-10 11:17 PDT by Mark Banner (:standard8, afk until Dec)
Modified: 2013-05-28 08:12 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
Screenshort of overlap (15.31 KB, image/png)
2013-04-10 11:17 PDT, Mark Banner (:standard8, afk until Dec)
no flags Details
proposed fix (992 bytes, patch)
2013-04-10 23:43 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, afk until Dec) 2013-04-10 11:17:56 PDT
Created attachment 735885 [details]
Screenshort of overlap

When runnning with Personas on Mac, the tab bar goes up and over the title bar. If you run with the default theme, then everything is as expected with the tab bar underneath the title bar.
Comment 1 Richard Marti (:Paenglab) 2013-04-10 23:43:28 PDT
Created attachment 736154 [details] [diff] [review]
proposed fix

This is because we don't use the titlebar vbox under OS X. I'm still waiting for the finished Firefox draw in titlebar implementation to port it to TB. This patch is a workaround until we can port the end solution. FX also used sometime this approach. So it's not really a hack.
Comment 2 Mike Conley (:mconley) 2013-04-12 00:28:11 PDT
Comment on attachment 736154 [details] [diff] [review]
proposed fix

Yep, totally. Thanks Richard!
Comment 3 Mike Conley (:mconley) 2013-04-12 00:28:51 PDT
Comment on attachment 736154 [details] [diff] [review]
proposed fix

This is a super-safe take for comm-aurora.
Comment 4 Ryan VanderMeulen [:RyanVM] 2013-04-13 05:12:16 PDT
https://hg.mozilla.org/comm-central/rev/b30782c12707
Comment 5 Mark Banner (:standard8, afk until Dec) 2013-04-15 13:24:58 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/08e64e72be79

Note You need to log in before you can comment on or make changes to this bug.